<?php
   //solicitamos archivo de conexion a mysql
   require_once('../../../conf/connection.php');
   //si an pulsado el boton de enviar
  $enviar=$_POST["enviar"];
  if(isset($enviar))
  {
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $codigo=stripslashes($_POST["codigo"]);
	  $descrip=stripslashes($_POST["des"]); 
	  $familia=stripslashes($_POST["familia"]);
	  $stock=stripslashes($_POST["stock"]);
      $stock_minimo=stripslashes($_POST["stock_minimo"]);
	  
	  $fecha=stripslashes($_POST["fecha"]);
	  
	  //detalles compra
	  $identidad=stripslashes($_POST["identidad"]);
	  $neto_compra=stripslashes($_POST["neto_compra"]);
	  $iva_compra=stripslashes($_POST["iva_compra"]);
      $total_compra=stripslashes($_POST["total_compra"]);
      
	  //detalles venta sucursal n°1
	  $neto_venta=stripslashes($_POST["neto_venta_uno"]);
	  $iva_venta=stripslashes($_POST["iva_venta_uno"]);
      $total_venta=stripslashes($_POST["total_venta_uno"]);

	  
	  //detalles venta sucursal n°2
	  $neto_venta_dos=stripslashes($_POST["neto_venta_dos"]);
	  $iva_venta_dos=stripslashes($_POST["iva_venta_dos"]);
      $total_venta_dos=stripslashes($_POST["total_venta_dos"]);
	  

	  
	  $descuento=stripslashes($_POST["descuento"]);
	  
	  $foto1=$_FILES["foto1"]["name"];
      $ruta1=$_FILES["foto1"]["tmp_name"];
      $destino1="img/".$foto1;
   
	  if($foto1==""){}else{copy($ruta1,$destino1);}
	  
	  $obs=stripslashes($_POST["obs"]);
	  
	
	  //comprobamos si la identidad personal de esta persona existe
	  //si existiera no haremos nada!. Mediante un query
	  $comprobar="select * from articulos where referencia=\"$codigo\"";
	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()
	  $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()
	  $nr_ide=mysql_num_rows($r_ide);
	    //Es decir si devolvio registros
		if($nr_ide<>0)
		{
			//Construimos el query!
			$modificar="UPDATE articulos SET codfamilia='$familia', descripcion='$descrip',
			stock_minimo='$stock_minimo', fecha_alta='$fecha',identidad='$identidad',nombre='$nombre'
			,neto_compra='$neto_compra',iva_compra='$iva_compra',precio_compra='$total_compra',neto_tienda='$neto_venta',
			iva_tienda='$iva_venta', precio_tienda='$total_venta', neto_tienda_dos='$neto_venta_dos',
			iva_tienda_dos='$iva_venta_dos', precio_tienda_dos='$total_venta_dos' , des='$descuento',obs='$obs', foto1='$destino1' , codunidad='$unidad' 
			WHERE referencia='$codigo'";
	
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($modificar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);
			?><script> alert("Registro Modificado con exito!"); window.close(); </script> <?
		}
  }
  //si no han pulsado el bonton enviar, suponemos que han cargado el archivo adicionar.php
  //y se mostrara el formulario! :)
  else
  {
	 ?><script> alert("Intento ilegal de llamar al SCRIPT!"); window.close(); </script> <?
	 
  }
?>